﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace luento2
{
    public partial class FormAutoLaskuri : Form
    {
        private int Henkiloauto_lkm = 0;
        private int Kuormaauto_lkm = 0;
        private int nopeus = 10;

        public int henkiloautot
        {
            get { return Henkiloauto_lkm; }
            set {
                Henkiloauto_lkm = value;
                labelHenkiloauto.Text = Henkiloauto_lkm.ToString();
                System.Windows.Forms.PictureBox pAuto = new System.Windows.Forms.PictureBox();
                pAuto.Image = global::luento2.Properties.Resources.car;
                pAuto.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
                pAuto.Location = new System.Drawing.Point(221, Henkiloauto_lkm * 10);
                this.Controls.Add(pAuto);
            }
        }

        public FormAutoLaskuri()
        {
            InitializeComponent();
        }

        private void buttonAutolaskuri_Click(object sender, EventArgs e)
        {
            henkiloautot++;
        }

        private void buttonKuormaautolaskuri_Click(object sender, EventArgs e)
        {
            Kuormaauto_lkm++;
            labelKuormaauto.Text = Kuormaauto_lkm.ToString();

        }

        private void timerAutolaskuri_Tick(object sender, EventArgs e)
        {
            if (this.ClientSize.Width < pictureBoxAuto.Right) nopeus = -nopeus;
            if ( 0 > pictureBoxAuto.Left) nopeus = -nopeus;
            pictureBoxAuto.Left = pictureBoxAuto.Left + nopeus;
        }

        private void buttonUusiLaskuri_Click(object sender, EventArgs e)
        {
            FormAutoLaskuri uusi = new FormAutoLaskuri();
            uusi.ShowDialog();


        }

        private void FormAutoLaskuri_FormClosing(object sender, FormClosingEventArgs e)
        {
            if ( MessageBox.Show("Haluatko sulkea ja tallentaa?", "Autolaskuri", MessageBoxButtons.YesNoCancel) == DialogResult.Cancel )
               e.Cancel = true;
        }

        private void buttonVaihdaVari_Click(object sender, EventArgs e)
        {
            ColorDialog colorDialogAutolaskuri = new System.Windows.Forms.ColorDialog();
            colorDialogAutolaskuri.Color = this.BackColor;
            if (colorDialogAutolaskuri.ShowDialog() == DialogResult.OK)
                this.BackColor = colorDialogAutolaskuri.Color;
        }

        private void lisääHenkilöautoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            henkiloautot++;
        }

        private void tietojaAutolaskuristaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            About aboutlomake = new About();
            aboutlomake.ShowDialog();
        }
    }
}
